<p>{{appName}}</p>

<form #homeForm="ngForm" (submit)="onFormSubmit(homeForm)">
    <div fxLayout="column" fxLayoutGap="15px">

        <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>User</mat-label>
            <input matInput placeholder="fill in user id" type="text" name="user" ngModel required minlength="5" />
            <mat-icon matSuffix>login</mat-icon>
            <mat-hint>Please input user id</mat-hint>
        </mat-form-field>

        <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>Password</mat-label>
            <input matInput placeholder="fill in pass code" type="password" name="pwd" ngModel required minlength="8" />
            <mat-icon matSuffix>lock</mat-icon>
            <mat-hint>Please input pass code</mat-hint>
        </mat-form-field>

        <button type="submit" mat-raised-button color="primary">
            <mat-icon>send</mat-icon> Login
        </button>
    </div>
</form>

{{ homeForm.value | json }}